// 获取随机字符串
export function randomString(len) {
  len = len || 16
  var t = '012345678ABCDEFGHJKMNPQRSTWXYZabcdefhijkmnprstwxyz'
  var a = t.length
  var res = ''
  for (var i = 0; i < len; i++) res += t.charAt(Math.floor(Math.random() * a))
  return res
}

// 获取 captcha url
export function getCaptchaUrl(r) {
  // 图片上发送点击事件时，captchaUrl 的值发生变化，然后才去请求后端
  return process.env.VUE_APP_BASE_API + '/api/account/captcha?r=' + r
}
